VSTGUI: Optional< T > Struct Template Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Optional< T > Struct Template Reference
New classes » Version 4.5

simplified optional More...

`#include <optional.h>`

## Public Member Functions
| Optional (T &&v)
| Optional (const T &v)
| Optional ()
| Optional (Optional &&)=default
Optional & | operator= (Optional &&)=default
| Optional (const Optional &)=delete
Optional & | operator= (const Optional &)=delete
| operator bool () const
const T * | operator-> () const
T * | operator-> ()
const T & | operator* () const &
T & | operator* () &
T && | value ()
const T & | value () const
void | reset ()

## Detailed Description

template<typename T>
struct VSTGUI::Optional< T >

simplified optional

## Constructor & Destructor Documentation

## ◆ Optional() [1/5]

template<typename T>

Optional | ( | T && | v | ) |
| inline

## ◆ Optional() [2/5]

template<typename T>

Optional | ( | const T & | v | ) |
| inlineexplicit

## ◆ Optional() [3/5]

template<typename T>

Optional | ( |  | ) |
| inline

## ◆ Optional() [4/5]

template<typename T>

Optional | ( | Optional< T > && |  | ) |
| default

## ◆ Optional() [5/5]

template<typename T>

Optional | ( | const Optional< T > & |  | ) |
| delete

## Member Function Documentation

## ◆ operator bool()

template<typename T>

operator bool | ( |  | ) | const
| inlineexplicit

## ◆ operator*() [1/2]

template<typename T>

T & operator* | ( |  | ) | &
| inline

## ◆ operator*() [2/2]

template<typename T>

const T & operator* | ( |  | ) | const &
| inline

## ◆ operator->() [1/2]

template<typename T>

T * operator-> | ( |  | ) |
| inline

## ◆ operator->() [2/2]

template<typename T>

const T * operator-> | ( |  | ) | const
| inline

## ◆ operator=() [1/2]

template<typename T>

Optional & operator= | ( | const Optional< T > & |  | ) |
| delete

## ◆ operator=() [2/2]

template<typename T>

Optional & operator= | ( | Optional< T > && |  | ) |
| default

## ◆ reset()

template<typename T>

void reset | ( |  | ) |
| inline

## ◆ value() [1/2]

template<typename T>

T && value | ( |  | ) |
| inline

## ◆ value() [2/2]

template<typename T>

const T & value | ( |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- optional.h